{ pkgs, ... }:

pkgs.stdenv.mkDerivation {
  version = "7.1";
  pname = "anjali-old-lipi";

  src = pkgs.fetchzip {
    url = "https://smc.org.in/downloads/fonts/anjalioldlipi/anjalioldlipi.zip";
    hash = "sha256-c3ScpdN2h39Q6GLFL97pBBGrsillcMXmhlGilOAdF1w=";
    stripRoot = false;
  };

  installPhase = ''
    install -Dm444 -t $out/share/fonts/truetype $src/*.ttf
  '';

  meta = with pkgs.lib; {
    homepage = "https://smc.org.in/fonts/manjari";
    description = "Anjali Old Lipi Malayalam Typeface";
    license = licenses.ofl;
    platforms = platforms.all;
    maintainers = with maintainers; [ aashiks ];
  };
}
