{ pkgs, ... }:

pkgs.stdenv.mkDerivation {
  version = "1.7";
  pname = "chilanka";

  src = pkgs.fetchzip {
    url = "https://smc.org.in/downloads/fonts/chilanka/chilanka.zip";
    hash = "sha256-z+pRvm/8alA3TbUBuR4oDD/kpvuXJTqOBlzXEKBZvnE=";
    stripRoot = false;
  };

  installPhase = ''
    install -Dm444 -t $out/share/fonts/truetype $src/*.ttf
  '';

  meta = with pkgs.lib; {
    homepage = "https://smc.org.in/fonts/chilanka";
    description = "Chilanka Malayalam Typeface";
    license = licenses.ofl;
    platforms = platforms.all;
    maintainers = with maintainers; [ aashiks ];
  };
}
