{ pkgs, ... }:

pkgs.stdenv.mkDerivation {
  version = "2.200";
  pname = "manjari";

  src = pkgs.fetchzip {
    url = "https://smc.org.in/downloads/fonts/manjari/manjari.zip";
    hash = "sha256-Sq/7UOBO54c3id6FMZeOmnZTRceEkMAAN8W+C7v7Mtw=";
    stripRoot = false;
  };

  installPhase = ''
    install -Dm444 -t $out/share/fonts/opentype $src/*.otf
  '';

  meta = with pkgs.lib; {
    homepage = "https://smc.org.in/fonts/manjari";
    description = "Manjari Malayalam Typeface";
    license = licenses.ofl;
    platforms = platforms.all;
    maintainers = with maintainers; [ aashiks ];
  };
}
